Name:           athena-zsh
Version:        0
Release:        3%{?dist}
Summary:        Zsh for Athena.

License:        LicenseRef-Custom
URL:            https://gitlab.com/athenaos/packages/configuration/athena-zsh
Source0:        https://gitlab.com/athenaos/packages/configuration/athena-zsh/-/archive/main/%{name}-main.tar.gz

BuildArch:      noarch
Requires:       zsh
Requires:       zsh-autosuggestions
Requires:       zsh-history-substring-search
Requires:       zsh-syntax-highlighting
Requires:       powerline-fonts

%description
Customized Zsh configuration and utilities for Athena OS. Includes .zshrc and helper scripts.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build
:

%install
# Create necessary directories
install -dm 755 %{buildroot}/etc/skel
install -dm 755 %{buildroot}/usr/bin

# Install configuration and helper script
#install -Dm644 .zshrc %%{buildroot}/etc/skel/.zshrc
install -Dm755 shopt %{buildroot}/usr/bin/shopt

%files
%license
%doc
#/etc/skel/.zshrc
/usr/bin/shopt

%changelog
* Fri Apr 19 2025 Little Owl <littleowl@athenaos.org> - 0-1
- Initial RPM release of Athena Zsh config
